package com.yihu.wlyy.wechat.message;

/**
 * Created by lyr on 2016/08/11.
 *
 * 事件消息数据类
 */
public class EventMessage extends BaseMessage {
    // 消息ID
    private long msgId;
    // 事件类型
    private String event;
    // 事件KEY值
    private String eventKey;
    // 二维码ticket
    private String ticket;
    // 地理位置维度
    private String latitude;
    // 地理位置经度
    private String longitude;
    // 地理位置精度
    private String precision;

    public String getEvent() {
        return event;
    }
    public void setEvent(String event) {
        this.event = event;
    }

    public String getEventKey() {
        return eventKey;
    }
    public void setEventKey(String eventKey) {
        this.eventKey = eventKey;
    }

    public String getTicket() {
        return ticket;
    }
    public void setTicket(String ticket) {
        this.ticket = ticket;
    }

    public String getLatitude() {
        return latitude;
    }
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getPrecision() {
        return precision;
    }
    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public long getMsgId() {
        return msgId;
    }
    public void setMsgId(long msgId) {
        this.msgId = msgId;
    }
}
